Getting errors with non-pie app on android 5

log in

Advanced search

Message boards : Number crunching : Getting errors with non-pie app on android 5

Author Message
Curly
   
Send message
Joined: 6 Apr 10
Posts: 20
Credit: 953,254
RAC: 103
Total hours: 1,272,281
Message 2668 - Posted: 9 Mar 2015, 13:51:42 UTC

I restarted boinc after upgrading to Android 5 some time ago.

All wus are of application "Data collect version 5 v5.02 (android_arm_non_pie)" and exit with

<core_client_version>7.4.41</core_client_version>
<![CDATA[
<message>
process exited with code 1 (0x1, -255)
</message>
<stderr_txt>
error: only position independent executables (PIE) are supported.

</stderr_txt>
]]>


The applications list contains pie and non-pie versions. I think the pie version should run on the device. Is that right? How can I configure to only get the pie version?

Curly
   
Send message
Joined: 6 Apr 10
Posts: 20
Credit: 953,254
RAC: 103
Total hours: 1,272,281
Message 2743 - Posted: 16 Mar 2015, 16:52:22 UTC

Now it works. The pie version runs smoothly.

Profile Pooh Bear 27
 
Avatar
Send message
Joined: 22 Jan 13
Posts: 92
Credit: 713,423
RAC: 56
Total hours: 1,418,389
Message 2823 - Posted: 23 Mar 2015, 20:05:46 UTC

Now I am getting PIE application on my Android 4 and they are causing errors. It looks like the hours are not counted. I did get what looks like manual credit for the finish of the unit, which is something, but loosing the hours I am working hard on gaining is a bit upsetting.

Profile [AF>WildWildWest]Sebastien
   
Dictator
Avatar
Send message
Joined: 28 Mar 10
Posts: 1807
Credit: 391,559
RAC: 97
Total hours: 816,464
Message 2825 - Posted: 23 Mar 2015, 21:06:13 UTC - in response to Message 2823.

Now I am getting PIE application on my Android 4 and they are causing errors. It looks like the hours are not counted. I did get what looks like manual credit for the finish of the unit, which is something, but loosing the hours I am working hard on gaining is a bit upsetting.

I fixed the problem.
The version 5 should be only sent to client 7.3.7 and later.
____________

Profile den777
     
Send message
Joined: 21 Jun 13
Posts: 18
Credit: 600,578
RAC: 256
Total hours: 813,717
Message 2834 - Posted: 24 Mar 2015, 12:27:04 UTC

Version 5 does not work on Android 4. It just staying at 0%


Post to thread

Message boards : Number crunching : Getting errors with non-pie app on android 5


Home | My Account | Message Boards | Results


Copyright © 2020 Sebastien